FreetdsSqlUtil::FreetdsPrimaryKey Class Reference

represents a FreeTDS-specific primary key constraint More...

Inheritance diagram for FreetdsSqlUtil::FreetdsPrimaryKey:
[legend]

## Public Member Functions

| constructor ()
| creates an empty primary key object
| constructor (string n, *hash c, *string ts)
| creates the object with the given attributes More...
string | getCreateSql (string table_name, *hash opts)
| returns a string that can be used to create the constraint
softlist | getRenameSql (string table_name, string new_name)
| returns a string that can be used to rename the constraint
FreetdsColumn | memberGate (string k)
| returns the FreetdsColumn value of the given key if it exists, otherwise throws a `KEY-ERROR` exception More...
Public Member Functions inherited from FreetdsSqlUtil::FreetdsUniqueConstraintCommon
| clearIndex ()
| clears any index base for the constraint
| constructor (*string ts)
| creates the constraint with an optional filegroup name
| getIndexSql (reference< string > sql, string name, *hash opts)
| adds index options onto the sql creation string
*string | getTablespace ()
| returns the filegroup name used for this constraint, if known
bool | setIndexBase (string ix)
| sets the supporting index name
| setTablespace (*string ts)
| sets or clears the filegroup name

## Additional Inherited Members

Protected Member Functions inherited from FreetdsSqlUtil::FreetdsUniqueConstraintCommon
| constructor ()
| empty constructor for subclasses
Protected Attributes inherited from FreetdsSqlUtil::FreetdsUniqueConstraintCommon
*string | filegroup
| any filegroup for the unique key index

## Detailed Description

represents a FreeTDS-specific primary key constraint

## Member Function Documentation

## constructor()

FreetdsSqlUtil::FreetdsPrimaryKey::constructor | ( | string | n,
|  | *hash | c,
|  | *string | ts
| ) |  |

creates the object with the given attributes

Parameters

  n | name of the constraint
  c | column hash
  ts | optional filegroup name

## memberGate()

FreetdsColumn FreetdsSqlUtil::FreetdsPrimaryKey::memberGate | ( | string | k | ) |

returns the FreetdsColumn value of the given key if it exists, otherwise throws a `KEY-ERROR` exception

Example:
  any v = c.name;

Parameters

  k | the name of the key to access

Returns
  the value of the given key in the contained hash if it exists

Exceptions

  KEY-ERROR | the given key does not exist in the contained hash

Note
  this method is called automatically when an unknown or inaccessible member name is accessed from outside the class

See also
  memberGate() Method